Package com.independentsoft.office.spreadsheet.connections

# Class Parameter

java.lang.Object
com.independentsoft.office.spreadsheet.connections.Parameter

public class Parameter extends Object
The Class Parameter.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parameter()`
  Instantiates a new parameter.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Parameter`
  `clone()`
  `String`
  `getCellReference()`
  Gets the cell reference.
  `double`
  `getDoubleValue()`
  Gets the double value.
  `int`
  `getIntegerValue()`
  Gets the integer value.
  `String`
  `getName()`
  Gets the name.
  `String`
  `getPrompt()`
  Gets the prompt.
  `SqlDataType`
  `getSqlDataType()`
  Gets the sql data type.
  `String`
  `getStringValue()`
  Gets the string value.
  `ParameterType`
  `getType()`
  Gets the type.
  `boolean`
  `isBooleanValue()`
  Checks if is boolean value.
  `boolean`
  `isRefreshOnChange()`
  Checks if is refresh on change.
  `void`
  `setBooleanValue​(boolean booleanValue)`
  Sets the boolean value.
  `void`
  `setCellReference​(String cellReference)`
  Sets the cell reference.
  `void`
  `setDoubleValue​(double doubleValue)`
  Sets the double value.
  `void`
  `setIntegerValue​(int integerValue)`
  Sets the integer value.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setPrompt​(String prompt)`
  Sets the prompt.
  `void`
  `setRefreshOnChange​(boolean refreshOnChange)`
  Sets the refresh on change.
  `void`
  `setSqlDataType​(SqlDataType sqlDataType)`
  Sets the sql data type.
  `void`
  `setStringValue​(String stringValue)`
  Sets the string value.
  `void`
  `setType​(ParameterType type)`
  Sets the type.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Parameter

    public Parameter()
    Instantiates a new parameter.

- ## Method Details

  - ### clone

    public Parameter clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isBooleanValue

    public boolean isBooleanValue()
    Checks if is boolean value.
    Returns:
      true, if is boolean value

  - ### setBooleanValue

    public void setBooleanValue​(boolean booleanValue)
    Sets the boolean value.
    Parameters:
      `booleanValue` - the new boolean value

  - ### getCellReference

    public String getCellReference()
    Gets the cell reference.
    Returns:
      the cell reference

  - ### setCellReference

    public void setCellReference​(String cellReference)
    Sets the cell reference.
    Parameters:
      `cellReference` - the new cell reference

  - ### getDoubleValue

    public double getDoubleValue()
    Gets the double value.
    Returns:
      the double value

  - ### setDoubleValue

    public void setDoubleValue​(double doubleValue)
    Sets the double value.
    Parameters:
      `doubleValue` - the new double value

  - ### getIntegerValue

    public int getIntegerValue()
    Gets the integer value.
    Returns:
      the integer value

  - ### setIntegerValue

    public void setIntegerValue​(int integerValue)
    Sets the integer value.
    Parameters:
      `integerValue` - the new integer value

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getType

    public ParameterType getType()
    Gets the type.
    Returns:
      the type

  - ### setType

    public void setType​(ParameterType type)
    Sets the type.
    Parameters:
      `type` - the new type

  - ### getPrompt

    public String getPrompt()
    Gets the prompt.
    Returns:
      the prompt

  - ### setPrompt

    public void setPrompt​(String prompt)
    Sets the prompt.
    Parameters:
      `prompt` - the new prompt

  - ### isRefreshOnChange

    public boolean isRefreshOnChange()
    Checks if is refresh on change.
    Returns:
      true, if is refresh on change

  - ### setRefreshOnChange

    public void setRefreshOnChange​(boolean refreshOnChange)
    Sets the refresh on change.
    Parameters:
      `refreshOnChange` - the new refresh on change

  - ### getSqlDataType

    public SqlDataType getSqlDataType()
    Gets the sql data type.
    Returns:
      the sql data type

  - ### setSqlDataType

    public void setSqlDataType​(SqlDataType sqlDataType)
    Sets the sql data type.
    Parameters:
      `sqlDataType` - the new sql data type

  - ### getStringValue

    public String getStringValue()
    Gets the string value.
    Returns:
      the string value

  - ### setStringValue

    public void setStringValue​(String stringValue)
    Sets the string value.
    Parameters:
      `stringValue` - the new string value